org.codehaus.plexus.metadata.gleaner

## Class ComponentGleanerSupport

- java.lang.Object
- - org.codehaus.plexus.metadata.gleaner.ComponentGleanerSupport

Direct Known Subclasses:
  AnnotationComponentGleaner, QDoxComponentGleaner

    public abstract class ComponentGleanerSupport
    extends java.lang.Object

Support for component gleaner implementations.

Version:
  $Id: ComponentGleanerSupport.java 7966 2008-12-25 15:25:22Z bentmann $

### Constructor Summary

Constructors
Constructor and Description
`ComponentGleanerSupport()`

### Method Summary

Methods
`protected void` `addChildConfiguration(ComponentDescriptor<?> component, PlexusConfiguration config)`
`protected java.lang.String` `deHump(java.lang.String string)`
`protected java.lang.String` `filterEmptyAsNull(java.lang.String value)`
`protected boolean` `isRequirementListType(java.lang.Class<?> type)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ComponentGleanerSupport

    public ComponentGleanerSupport()

### Method Detail

#### filterEmptyAsNull

    protected java.lang.String filterEmptyAsNull(java.lang.String value)

#### isRequirementListType

    protected boolean isRequirementListType(java.lang.Class<?> type)

#### addChildConfiguration

    protected void addChildConfiguration(ComponentDescriptor<?> component,
                             PlexusConfiguration config)

#### deHump

    protected java.lang.String deHump(java.lang.String string)